# flask_image_matcher

excel 相似图片搜索

![alt text](https://file.yoqi.me/Develop/Python/flask_image_matcher/BaiduHi_2025-3-11_19-33-2.jpg)


![alt text](https://file.yoqi.me/Develop/Python/flask_image_matcher/BaiduHi_2025-3-11_20-16-29%20Mask.png)

## Usage

```
python app.py
```
访问 http://127.0.0.1:5000/ 选择图片，设置文件目录，设置相似度，设置时间标签，点击开始匹配按钮，批量搜索指定目录的文件（excel，doc），搜索文件中的图片，找到指定图片所在文件位置。

## 技术栈

* flask 封装UI
* 图片计算相似度：

```
from skimage.metrics import structural_similarity as ssim

score, _ = ssim(grayA, grayB, full=True)
```
注意这里把彩色是3层数组改为灰色1层。

* 读取excel openpyxl

* 读取 word  docx


## Reference

## License



