import unittest
from flask_image_matcher.models import ImageModel

class TestImageModel(unittest.TestCase):

    def test_init(self):
        # Test with valid image
        image = b'valid_image_data'
        model = ImageModel(image)
        self.assertEqual(model.image, image)

        # Test with empty image
        image = b''
        with self.assertRaises(ValueError):
            ImageModel(image)
